# GstGLSL

## Functions

### gst_gl_version_to_glsl_version

    GstGLSLVersion
    gst_gl_version_to_glsl_version (GstGLAPI gl_api,
                                    gint maj,
                                    gint min)

Parameters:

`gl_api` –

the GstGLAPI

`maj` –

the major GL version

`min` –

the minor GL version

Returns –

The minimum supported GstGLSLVersion available for gl_api, maj and min

### GstGL.prototype.gl_version_to_glsl_version

    function GstGL.prototype.gl_version_to_glsl_version(gl_api: GstGL.GLAPI, maj: Number, min: Number): {
        // javascript wrapper for 'gst_gl_version_to_glsl_version'
    }

Parameters:

`gl_api` (GstGL.GLAPI) –

the GstGL.GLAPI

`maj` (Number) –

the major GL version

`min` (Number) –

the minor GL version

Returns (GstGL.GLSLVersion) –

The minimum supported GstGL.GLSLVersion available for gl_api, maj and min

### GstGL.gl_version_to_glsl_version

    def GstGL.gl_version_to_glsl_version (gl_api, maj, min):
        #python wrapper for 'gst_gl_version_to_glsl_version'

Parameters:

`gl_api` (GstGL.GLAPI) –

the GstGL.GLAPI

`maj` (int) –

the major GL version

`min` (int) –

the minor GL version

Returns (GstGL.GLSLVersion) –

The minimum supported GstGL.GLSLVersion available for gl_api, maj and min

### gst_glsl_error_quark

    GQuark
    gst_glsl_error_quark ()

Returns –

the quark used for GstGLSL in GError's

### GstGL.prototype.glsl_error_quark

    function GstGL.prototype.glsl_error_quark(): {
        // javascript wrapper for 'gst_glsl_error_quark'
    }

Returns (GLib.Quark) –

the quark used for GstGLSL in GError (not introspectable)'s

### GstGL.glsl_error_quark

    def GstGL.glsl_error_quark ():
        #python wrapper for 'gst_glsl_error_quark'

Returns (GLib.Quark) –

the quark used for GstGLSL in GError (not introspectable)'s

### gst_glsl_profile_from_string

    GstGLSLProfile
    gst_glsl_profile_from_string (const gchar * string)

Parameters:

`string` –

a GLSL version string

Returns –

the GstGLSLProfile of string or GST_GLSL_PROFILE_NONE on error

### GstGL.prototype.glsl_profile_from_string

    function GstGL.prototype.glsl_profile_from_string(string: String): {
        // javascript wrapper for 'gst_glsl_profile_from_string'
    }

Parameters:

`string` (String) –

a GLSL version string

Returns (GstGL.GLSLProfile) –

the GstGL.GLSLProfile of string or GstGL.GLSLProfile.NONE on error

### GstGL.glsl_profile_from_string

    def GstGL.glsl_profile_from_string (string):
        #python wrapper for 'gst_glsl_profile_from_string'

Parameters:

`string` (str) –

a GLSL version string

Returns (GstGL.GLSLProfile) –

the GstGL.GLSLProfile of string or GstGL.GLSLProfile.NONE on error

### gst_glsl_profile_to_string

    const gchar *
    gst_glsl_profile_to_string (GstGLSLProfile profile)

Parameters:

`profile` –

a GstGLSLProfile

Returns ( [nullable]) –

the name for profile or NULL on error

### GstGL.prototype.glsl_profile_to_string

    function GstGL.prototype.glsl_profile_to_string(profile: GstGL.GLSLProfile): {
        // javascript wrapper for 'gst_glsl_profile_to_string'
    }

Parameters:

`profile` (GstGL.GLSLProfile) –

a GstGL.GLSLProfile

Returns (String) –

the name for profile or null on error

### GstGL.glsl_profile_to_string

    def GstGL.glsl_profile_to_string (profile):
        #python wrapper for 'gst_glsl_profile_to_string'

Parameters:

`profile` (GstGL.GLSLProfile) –

a GstGL.GLSLProfile

Returns (str) –

the name for profile or None on error

### gst_glsl_string_get_version_profile

    gboolean
    gst_glsl_string_get_version_profile (const gchar * s,
                                         GstGLSLVersion * version,
                                         GstGLSLProfile * profile)

Parameters:

`s` –
No description available
`version` –
No description available
`profile` –
No description available
Returns –
No description available

### GstGL.prototype.glsl_string_get_version_profile

    function GstGL.prototype.glsl_string_get_version_profile(s: String): {
        // javascript wrapper for 'gst_glsl_string_get_version_profile'
    }

Parameters:

`s` (String) –
No description available

Returns a tuple made of:

(Number ) –
No description available
`version` (GstGL.GLSLVersion ) –
No description available
`profile` (GstGL.GLSLProfile ) –
No description available

### GstGL.glsl_string_get_version_profile

    def GstGL.glsl_string_get_version_profile (s):
        #python wrapper for 'gst_glsl_string_get_version_profile'

Parameters:

`s` (str) –
No description available

Returns a tuple made of:

(bool ) –
No description available
`version` (GstGL.GLSLVersion ) –
No description available
`profile` (GstGL.GLSLProfile ) –
No description available

### gst_glsl_version_from_string

    GstGLSLVersion
    gst_glsl_version_from_string (const gchar * string)

Parameters:

`string` –

a GLSL version string

Returns –

the GstGLSLVersion of string or GST_GLSL_VERSION_NONE on error

### GstGL.prototype.glsl_version_from_string

    function GstGL.prototype.glsl_version_from_string(string: String): {
        // javascript wrapper for 'gst_glsl_version_from_string'
    }

Parameters:

`string` (String) –

a GLSL version string

Returns (GstGL.GLSLVersion) –

the GstGL.GLSLVersion of string or GstGL.GLSLVersion.NONE on error

### GstGL.glsl_version_from_string

    def GstGL.glsl_version_from_string (string):
        #python wrapper for 'gst_glsl_version_from_string'

Parameters:

`string` (str) –

a GLSL version string

Returns (GstGL.GLSLVersion) –

the GstGL.GLSLVersion of string or GstGL.GLSLVersion.NONE on error

### gst_glsl_version_profile_from_string

    gboolean
    gst_glsl_version_profile_from_string (const gchar * string,
                                          GstGLSLVersion * version_ret,
                                          GstGLSLProfile * profile_ret)

Note: this function expects either a `#version` GLSL preprocesser directive or a valid GLSL version and/or profile.

Parameters:

`string` –

a valid GLSL `#version` string

`version_ret` ( [out]) –

resulting GstGLSLVersion

`profile_ret` ( [out]) –

resulting GstGLSLVersion

Returns –

TRUE if a valid `#version` string was found, FALSE otherwise

### GstGL.prototype.glsl_version_profile_from_string

    function GstGL.prototype.glsl_version_profile_from_string(string: String): {
        // javascript wrapper for 'gst_glsl_version_profile_from_string'
    }

Note: this function expects either a `#version` GLSL preprocesser directive or a valid GLSL version and/or profile.

Parameters:

`string` (String) –

a valid GLSL `#version` string

Returns a tuple made of:

(Number ) –

TRUE if a valid `#version` string was found, FALSE otherwise

`version_ret` (GstGL.GLSLVersion ) –

TRUE if a valid `#version` string was found, FALSE otherwise

`profile_ret` (GstGL.GLSLProfile ) –

TRUE if a valid `#version` string was found, FALSE otherwise

### GstGL.glsl_version_profile_from_string

    def GstGL.glsl_version_profile_from_string (string):
        #python wrapper for 'gst_glsl_version_profile_from_string'

Note: this function expects either a `#version` GLSL preprocesser directive or a valid GLSL version and/or profile.

Parameters:

`string` (str) –

a valid GLSL `#version` string

Returns a tuple made of:

(bool ) –

TRUE if a valid `#version` string was found, FALSE otherwise

`version_ret` (GstGL.GLSLVersion ) –

TRUE if a valid `#version` string was found, FALSE otherwise

`profile_ret` (GstGL.GLSLProfile ) –

TRUE if a valid `#version` string was found, FALSE otherwise

### gst_glsl_version_profile_to_string

    gchar *
    gst_glsl_version_profile_to_string (GstGLSLVersion version,
                                        GstGLSLProfile profile)

Parameters:

`version` –

a GstGLSLVersion

`profile` –

a GstGLSLVersion

Returns ( [nullable]) –

the combined GLSL `#version` string for version and profile

### GstGL.prototype.glsl_version_profile_to_string

    function GstGL.prototype.glsl_version_profile_to_string(version: GstGL.GLSLVersion, profile: GstGL.GLSLProfile): {
        // javascript wrapper for 'gst_glsl_version_profile_to_string'
    }

Parameters:

`version` (GstGL.GLSLVersion) –

a GstGL.GLSLVersion

`profile` (GstGL.GLSLProfile) –

a GstGL.GLSLVersion

Returns (String) –

the combined GLSL `#version` string for version and profile

### GstGL.glsl_version_profile_to_string

    def GstGL.glsl_version_profile_to_string (version, profile):
        #python wrapper for 'gst_glsl_version_profile_to_string'

Parameters:

`version` (GstGL.GLSLVersion) –

a GstGL.GLSLVersion

`profile` (GstGL.GLSLProfile) –

a GstGL.GLSLVersion

Returns (str) –

the combined GLSL `#version` string for version and profile

### gst_glsl_version_to_string

    const gchar *
    gst_glsl_version_to_string (GstGLSLVersion version)

Parameters:

`version` –

a GstGLSLVersion

Returns ( [nullable]) –

the name of version or NULL on error

### GstGL.prototype.glsl_version_to_string

    function GstGL.prototype.glsl_version_to_string(version: GstGL.GLSLVersion): {
        // javascript wrapper for 'gst_glsl_version_to_string'
    }

Parameters:

`version` (GstGL.GLSLVersion) –

a GstGL.GLSLVersion

Returns (String) –

the name of version or null on error

### GstGL.glsl_version_to_string

    def GstGL.glsl_version_to_string (version):
        #python wrapper for 'gst_glsl_version_to_string'

Parameters:

`version` (GstGL.GLSLVersion) –

a GstGL.GLSLVersion

Returns (str) –

the name of version or None on error

## Enumerations

### GstGLSLError

Compilation stage that caused an error

##### Members

`GST_GLSL_ERROR_COMPILE` (0) –

Compilation error occurred

`GST_GLSL_ERROR_LINK` (1) –

Link error occurred

`GST_GLSL_ERROR_PROGRAM` (2) –

General program error occurred

Since : 1.8

### GstGL.GLSLError

Compilation stage that caused an error

##### Members

`GstGL.GLSLError.COMPILE` (0) –

Compilation error occurred

`GstGL.GLSLError.LINK` (1) –

Link error occurred

`GstGL.GLSLError.PROGRAM` (2) –

General program error occurred

Since : 1.8

### GstGL.GLSLError

Compilation stage that caused an error

##### Members

`GstGL.GLSLError.COMPILE` (0) –

Compilation error occurred

`GstGL.GLSLError.LINK` (1) –

Link error occurred

`GstGL.GLSLError.PROGRAM` (2) –

General program error occurred

Since : 1.8

### GstGLSLProfile

GLSL profiles

##### Members

`GST_GLSL_PROFILE_NONE` (0) –

no profile supported/available

`GST_GLSL_PROFILE_ES` (1) –

OpenGL|ES profile

`GST_GLSL_PROFILE_CORE` (2) –

OpenGL core profile

`GST_GLSL_PROFILE_COMPATIBILITY` (4) –

OpenGL compatibility profile

`GST_GLSL_PROFILE_ANY` (4294967295) –

any OpenGL/OpenGL|ES profile

Since : 1.8

### GstGL.GLSLProfile

GLSL profiles

##### Members

`GstGL.GLSLProfile.NONE` (0) –

no profile supported/available

`GstGL.GLSLProfile.ES` (1) –

OpenGL|ES profile

`GstGL.GLSLProfile.CORE` (2) –

OpenGL core profile

`GstGL.GLSLProfile.COMPATIBILITY` (4) –

OpenGL compatibility profile

`GstGL.GLSLProfile.ANY` (4294967295) –

any OpenGL/OpenGL|ES profile

Since : 1.8

### GstGL.GLSLProfile

GLSL profiles

##### Members

`GstGL.GLSLProfile.NONE` (0) –

no profile supported/available

`GstGL.GLSLProfile.ES` (1) –

OpenGL|ES profile

`GstGL.GLSLProfile.CORE` (2) –

OpenGL core profile

`GstGL.GLSLProfile.COMPATIBILITY` (4) –

OpenGL compatibility profile

`GstGL.GLSLProfile.ANY` (4294967295) –

any OpenGL/OpenGL|ES profile

Since : 1.8

### GstGLSLVersion

GLSL version list

##### Members

`GST_GLSL_VERSION_NONE` (0) –

no version

`GST_GLSL_VERSION_100` (100) –

version 100 (only valid for ES)

`GST_GLSL_VERSION_110` (110) –

version 110 (only valid for compatibility desktop GL)

`GST_GLSL_VERSION_120` (120) –

version 120 (only valid for compatibility desktop GL)

`GST_GLSL_VERSION_130` (130) –

version 130 (only valid for compatibility desktop GL)

`GST_GLSL_VERSION_140` (140) –

version 140 (only valid for compatibility desktop GL)

`GST_GLSL_VERSION_150` (150) –

version 150 (valid for compatibility/core desktop GL)

`GST_GLSL_VERSION_300` (300) –

version 300 (only valid for ES)

`GST_GLSL_VERSION_310` (310) –

version 310 (only valid for ES)

`GST_GLSL_VERSION_320` (320) –

version 320 (only valid for ES)

`GST_GLSL_VERSION_330` (330) –

version 330 (valid for compatibility/core desktop GL)

`GST_GLSL_VERSION_400` (400) –

version 400 (valid for compatibility/core desktop GL)

`GST_GLSL_VERSION_410` (410) –

version 410 (valid for compatibility/core desktop GL)

`GST_GLSL_VERSION_420` (420) –

version 420 (valid for compatibility/core desktop GL)

`GST_GLSL_VERSION_430` (430) –

version 430 (valid for compatibility/core desktop GL)

`GST_GLSL_VERSION_440` (440) –

version 440 (valid for compatibility/core desktop GL)

`GST_GLSL_VERSION_450` (450) –

version 450 (valid for compatibility/core desktop GL)

Since : 1.8

### GstGL.GLSLVersion

GLSL version list

##### Members

`GstGL.GLSLVersion.NONE` (0) –

no version

`GstGL.GLSLVersion.100` (100) –

version 100 (only valid for ES)

`GstGL.GLSLVersion.110` (110) –

version 110 (only valid for compatibility desktop GL)

`GstGL.GLSLVersion.120` (120) –

version 120 (only valid for compatibility desktop GL)

`GstGL.GLSLVersion.130` (130) –

version 130 (only valid for compatibility desktop GL)

`GstGL.GLSLVersion.140` (140) –

version 140 (only valid for compatibility desktop GL)

`GstGL.GLSLVersion.150` (150) –

version 150 (valid for compatibility/core desktop GL)

`GstGL.GLSLVersion.300` (300) –

version 300 (only valid for ES)

`GstGL.GLSLVersion.310` (310) –

version 310 (only valid for ES)

`GstGL.GLSLVersion.320` (320) –

version 320 (only valid for ES)

`GstGL.GLSLVersion.330` (330) –

version 330 (valid for compatibility/core desktop GL)

`GstGL.GLSLVersion.400` (400) –

version 400 (valid for compatibility/core desktop GL)

`GstGL.GLSLVersion.410` (410) –

version 410 (valid for compatibility/core desktop GL)

`GstGL.GLSLVersion.420` (420) –

version 420 (valid for compatibility/core desktop GL)

`GstGL.GLSLVersion.430` (430) –

version 430 (valid for compatibility/core desktop GL)

`GstGL.GLSLVersion.440` (440) –

version 440 (valid for compatibility/core desktop GL)

`GstGL.GLSLVersion.450` (450) –

version 450 (valid for compatibility/core desktop GL)

Since : 1.8

### GstGL.GLSLVersion

GLSL version list

##### Members

`GstGL.GLSLVersion.NONE` (0) –

no version

`GstGL.GLSLVersion.100` (100) –

version 100 (only valid for ES)

`GstGL.GLSLVersion.110` (110) –

version 110 (only valid for compatibility desktop GL)

`GstGL.GLSLVersion.120` (120) –

version 120 (only valid for compatibility desktop GL)

`GstGL.GLSLVersion.130` (130) –

version 130 (only valid for compatibility desktop GL)

`GstGL.GLSLVersion.140` (140) –

version 140 (only valid for compatibility desktop GL)

`GstGL.GLSLVersion.150` (150) –

version 150 (valid for compatibility/core desktop GL)

`GstGL.GLSLVersion.300` (300) –

version 300 (only valid for ES)

`GstGL.GLSLVersion.310` (310) –

version 310 (only valid for ES)

`GstGL.GLSLVersion.320` (320) –

version 320 (only valid for ES)

`GstGL.GLSLVersion.330` (330) –

version 330 (valid for compatibility/core desktop GL)

`GstGL.GLSLVersion.400` (400) –

version 400 (valid for compatibility/core desktop GL)

`GstGL.GLSLVersion.410` (410) –

version 410 (valid for compatibility/core desktop GL)

`GstGL.GLSLVersion.420` (420) –

version 420 (valid for compatibility/core desktop GL)

`GstGL.GLSLVersion.430` (430) –

version 430 (valid for compatibility/core desktop GL)

`GstGL.GLSLVersion.440` (440) –

version 440 (valid for compatibility/core desktop GL)

`GstGL.GLSLVersion.450` (450) –

version 450 (valid for compatibility/core desktop GL)

Since : 1.8

## Constants

### GST_GLSL_ERROR

    #define GST_GLSL_ERROR (gst_glsl_error_quark ())

Error domain for GStreamer's GLSL module. Errors in this domain will be from the GstGLSLError enumeration

The results of the search are